<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class OrdersRates extends Model
{
    const STTS_WAIT = 1;
    const STTS_DROPING = 2;
    const STTS_DROPED = 3;
    const STTS_FAIL = 4;

    public static function get()
    {
        return DB::select("SELECT * FROM t_orders_rates;");
    }

    public static function getById($id)
    {
        return DB::select("SELECT * FROM t_orders_rates WHERE id = ? LIMIT 1;", [$id]);
    }

    public static function getByOrdCode($code)
    {
        return DB::select("SELECT * FROM t_orders_rates WHERE ord_code = ? LIMIT 1;", [$code]);
    }

	public static function getByOrdId($ordid)
    {
        return DB::select("SELECT * FROM t_orders_rates WHERE ord_id = ? LIMIT 1;", [$ordid]);
    }

    public static function add($data)
    {
        $id = DB::table("t_orders_rates")->insertGetId($data);
        return $id;
    }

    public static function updt($id, $data)
    {
        return DB::table("t_orders_rates")->where("id", $id)->update($data);
    }

    public static function updtByOrdId($ord_id, $data)
    {
        return DB::table("t_orders_rates")->where("ord_id", $ord_id)->update($data);
    }

    public static function dlt($id)
    {
        return DB::table("t_orders_rates")->where("id", $id)->delete();
    }

    public static function dltByOrdId($ord_id)
    {
        return DB::table("t_orders_rates")->where("ord_id", $ord_id)->delete();
    }
}
